shevek::shm< T > Class Template Reference

This class implements an interface for sharing memory between processes. More...

`#include <shm.hh>`

Inheritance diagram for shevek::shm< T >:

## Public Member Functions

T * | data ()
| Access the shared data.
T const * | data () const
| Access the shared data.
Public Member Functions inherited from shevek::refbase
template<typename _T >
Glib::RefPtr< _T > | cast_dynamic ()
| Identical to GLib::RefPtr <>::cast_dynamic, but nicer to type.

## Static Public Member Functions

static Glib::RefPtr< shm< T > > | create (std::string const &name, bool keep=false)
| Create a new block of shared memory. More...
static Glib::RefPtr< shm< T > > | open (std::string const &name, bool writable=true)
| Open an existing block of shared memory.

## Additional Inherited Members

Protected Member Functions inherited from shevek::refbase
| refbase ()
| Constructor, increments reference count.
virtual | ~refbase ()
| Destructor, decrements reference count and destroys the object if it reaches 0.
template<typename T >
Glib::RefPtr< T > | refptr_this ()
| Get a RefPtr to this, protected because only members should need it. More...

## Detailed Description

### template<typename T>
class shevek::shm< T >

This class implements an interface for sharing memory between processes.

## Member Function Documentation

template<typename T >

static Glib::RefPtr<shm <T> > shevek::shm< T >::create | ( | std::string const & | name,
|  | bool | keep = `false`
| ) |  |

inline static

Create a new block of shared memory.

If keep is true, it will not be unlinked when the object is destroyed.

The documentation for this class was generated from the following file:

- src/shm.hh